# $Id: kdeaddons.spec,v 1.31 2004/03/24 18:56:10 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define kdebase_ver 6:%{version}
%define kdegames_ver 6:%{version}
%define kdemultimedia_ver 6:%{version}
%define kdenetwork_ver 7:%{version}
%define kdepim_ver 6:%{version}

%define _plugindir %{_libdir}/kde3
%define monolithic 1
%define is_release 2 

Summary: K Desktop Environment - Plugins
Name: 	 kdeaddons
Group:	 User Interface/Desktops
Epoch:	 0
Version: 3.2.1
Release: 0.fdr.1%{?dist_tag}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.1/src/kdeaddons-3.2.1.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch0: kde-libtool.patch
Patch2: kdeaddons-3.2.0-gcc34.patch

## kde-redhat patches
# fixup(s) for db3/db4 
Patch1000: kdeaddons-3.2.1-db.patch

Requires: kdelibs >= %{kdelibs_ver}
Requires: kdebase >= %{kdebase_ver} 
Requires: SDL >= 1.2.0

BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
BuildRequires: kdebase-devel >= %{kdebase_ver} 
BuildRequires: kdegames-devel >= %{kdegames_ver} 
BuildRequires: kdemultimedia-devel >= %{kdemultimedia_ver} 
BuildRequires: kdepim-devel >= %{kdepim_ver}
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: xmms-devel
BuildRequires: %{_libdir}/libdb_cxx.so 

%define db_name %(rpm -q --qf '%%{name}' -f %{_libdir}/libdb_cxx.so )
%define db_ver %(rpm -q --qf '%%{version}' %{db_name} )

%if "%{db_name}" == "db4-devel"
%if "%{db_ver}" < "4.1.0"
%define db40 1
%endif
%endif
%if "%{db_name}" == "db3-devel"
%define db3 1
%endif

%if "%{?monolithic}" == "1"
# we don't want to require everything we "add-on" to. 
Autoreq: 0
Obsoletes: %{name}-atlantikdesigner < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kate < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kfile < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kicker < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-knewsticker < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-konqueror < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-noatun < %{epoch}:%{version}-%{release}
Provides: %{name}-atlantikdesigner = %{epoch}:%{version}-%{release}
Provides: %{name}-kate = %{epoch}:%{version}-%{release}
Provides: %{name}-kfile = %{epoch}:%{version}-%{release}
Provides: %{name}-kicker = %{epoch}:%{version}-%{release}
Provides: %{name}-knewsticker = %{epoch}:%{version}-%{release}
# Requires: knewsticker >= %{version}
Provides: %{name}-konqueror = %{epoch}:%{version}-%{release}
Provides: %{name}-noatun = %{persion}-%{release}
# Requires: noatun >= %{version}
%endif

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player)
and Kate (text editor), Kicker, knewsticker.

%package kate
Summary: Plugins for the Kate text editor
Group: User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description kate
%{name}-kate contains plugins extending the functionality of the Kate
(KDE Advanced Text Editor) editor.
%{name}-kate adds, among other things, DCOP support, project management
and text filtering capabilities.

%package kfile
Summary: kfile extentions
Group: User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description kfile
Various kfile addons for items including txt, html, desktop file, 
and folder objects.

%package kicker
Summary: Plugins and additional applets for Kicker (the KDE panel)
Group: User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description kicker
Plugins and additional applets for Kicker (the KDE panel)

%package knewsticker
Summary: Scripts extending the functionality of KNewsTicker
Group: User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Requires: knewsticker >= %{kdenetwork_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description knewsticker
Scripts extending the functionality of KNewsTicker

%package konqueror
Summary: Plugins extending the functionality of Konqueror
Group: User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description konqueror
Plugins extending the functionality of Konqueror.
%{name}-konqueror contains, among other things, plugins for translating web
pages, checking web pages for valid HTML code, and viewing the DOM tree of
web pages.

%package noatun
Summary: Plugins extending the functionality of the noatun media player
Group: Applications/Multimedia
Requires: noatun >= %{kdemultimedia_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description noatun
Plugins extending the functionality of the noatun media player

%package atlantikdesigner
Group: User Interface/Desktops
Summary: Game board designer for Atlantik
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdegames >= %{epoch}:%{version}
%description atlantikdesigner
This package includes a game board designer for Atlantik.


%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else    
%setup -q -n %{name}
%endif

%patch0 -p1 -b .libtool
%patch2 -p1 -b .gcc34

%patch1000 -p1 -b .db

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE %{?db3:-I%{_includedir}/db3}%{?db40:-I%{_includedir}/db4}"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%endif

#  %{?db40:--with-extra-includes=%{_includedir}/db4}

make %{?_smp_mflags}
make -C noatun-plugins %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT -C noatun-plugins

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%if "%{?monolithic}" == "1"
%files
%defattr(-,root,root)
%lang(en) %doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so*
%{_plugindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/apps/atlantikdesigner
%{_datadir}/apps/fsview
%{_datadir}/apps/kaddressbook/*
%{_datadir}/apps/kate/*
%{_datadir}/apps/katexmltools
%{_datadir}/apps/kcontrol/pics/*
%{_datadir}/apps/knewsticker/scripts
%{_datadir}/apps/noatun/*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/konq*view/kpartplugins/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/konqsidebartng/*/*
%{_datadir}/apps/mediacontrol
%{_datadir}/apps/kicker/applets/*
%{_datadir}/apps/ksig/*
%{_datadir}/apps/vimpart
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*

%else
%files atlantikdesigner
%defattr(-,root,root)
%{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner
%{_datadir}/icons/*/*/*/atlantikdesigner*
%{_datadir}/applications/kde/atlantikdesigner.desktop

%files kate
%defattr(-,root,root)
%{_plugindir}/kate*
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/katexmltools
%{_datadir}/applnk/*/kate*.desktop
%{_datadir}/services/kate*.desktop
%lang(en) %doc %{_docdir}/HTML/en/kate-plugins

%files kfile
%defattr(-,root,root)
%{_plugindir}/kfile_*.*
%{_datadir}/services/kfile_*.desktop

%files kicker
%defattr(-,root,root)
%{_plugindir}/ktimemon*
%{_plugindir}/kolour*
%{_plugindir}/mediacontrol*
%{_datadir}/icons/*/*/*/ktimemon.png
%{_datadir}/apps/kicker/applets/*
%lang(en) %doc %{_docdir}/HTML/en/kicker-applets

%files knewsticker
%defattr(-,root,root)
%{_datadir}/apps/knewsticker/scripts/*

%files konqueror
%defattr(-,root,root)
%{_plugindir}/libkhtml*
%{_plugindir}/libkimg*
%{_plugindir}/libdirfilter*
%{_plugindir}/libuachanger*
%{_plugindir}/libbabelfish*
%{_plugindir}/libvalidator*
%{_plugindir}/libdomtree*
%{_plugindir}/*webarchive*
%{_plugindir}/konq*
%{_plugindir}/*kuick*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/konqiconview/kpartplugins/*
%{_datadir}/apps/konqlistview/kpartplugins/*
%{_datadir}/apps/konqsidebartng/add/mplayer_add.desktop
%{_datadir}/apps/konqsidebartng/entries/mplayer.desktop
%{_datadir}/icons/*/*/*/konqsidebar*
%{_datadir}/icons/*/*/*/imagegallery*
%{_datadir}/icons/*/*/*/babelfish*
%{_datadir}/icons/*/*/*/validators*
%{_datadir}/icons/*/*/*/cssvalidator*
%{_datadir}/icons/*/*/*/htmlvalidator*
%{_datadir}/icons/*/*/*/domtreeviewer*
%{_datadir}/icons/*/*/*/webarchiver*
%{_datadir}/mimelnk/application/*webarchive*
%{_datadir}/services/webarchive*
%{_datadir}/applnk/.hidden/*kuick*.desktop
%lang(en) %doc %{_docdir}/HTML/en/konq-plugins

%files noatun
%defattr(-,root,root)
%{_bindir}/noatun*
%{_datadir}/apps/noatun/*
%{_plugindir}/noatun*
%endif


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Mar 23 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.1
- rebuild (where did oblique noatun playlist go?)

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.0
- 3.2.1

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.1
- nuke my_ver macro
- %%post/%%postun: /sbin/ldconfig
- gcc34 patch

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.1.95-0.fdr.0
- 3.1.95

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.1
- rebuild against qt-3.2.x
- Add FC1 support

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.3-0.fdr.0
- 3.1.3
- %%lang'ify %%docs

* Mon Jun 30 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.2-0.fdr.1
- Group: Users Interface/Desktops

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Thu May 1 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.2
- unpackaged files.

* Thu Apr 25 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.1
- BuildRequires: xmms-devel, we used to have this, but lost it,
  now it's back.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Thu Mar 27 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- Autoreq: 0 in monolithic case.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release

* Fri Mar 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- BuildRequires: xmms-devel, kdegames-devel

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- No longer require knewsticker,noatun in monolithic case. 

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- use epochs in Obsoletes/Provides/Requires.

* Fri Feb 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- minor cleanups.
- disable konq/xine patch (for now).

* Wed Feb 05 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.0
- kde-redhat versioning
- konq/xine sidebar patch

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6
- TODO: work on monolithic=0 case.

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 3.0.5a-0
- 3.0.5a

* Fri Dec 13 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.1
- monolithic=1

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-0
- 3.0.99
- new: kfile extentions.

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Wed Nov 13 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0
- 3.0.5

* Mon Oct 14 2002 Rex Dieter <rexdieter at sf.net> -0.73.1.0
- rebuild.

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-0.73.1
- 3.0.4

* Thu Aug 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.7
- 3.0.3

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- BuildRequire the correct version of kdemultimedia

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Sat Mar  9 2002 Tim Powers <timp@redhat.com>
- change kdemultimedia-noatun requirement to noatun

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020308.1
- Update
- Adapt spec file to changes
- Exclude alpha temporarily

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- knewsticker should require kdenetwork-libs and not kdenetwork

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Require kdemultimedia-devel >= 2.2 rather than just kdemultimedia-devel
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
- Split in subpackages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

